### Function

# Gimp value_get_double_array

#### Declaration [src]

    const gdouble*
    gimp_value_get_double_array (
      const GValue* value,
      gsize* length
    )

#### Description [src]

Gets the contents of a `GIMP_TYPE_DOUBLE_ARRAY` `GValue`.

#### Parameters

`value`

  Type: `GValue`

  A valid value of type `GIMP_TYPE_DOUBLE_ARRAY`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize*`

  The number of returned #double elements.

  The argument will be set by the function.

#### Return value

Type: An array of `gdouble`

The contents of `value`.

The length of the array is in the `length` argument.
The data is owned by the called function.